const appLocaleData = require('react-intl/locale-data/en');

module.exports = {
  locale: 'en-US',
  data: appLocaleData,
  messages: {
    'app.header.search': 'Search...',
    'app.header.menu.home': 'Home',
    'app.header.menu.practice': 'Practice',
    'app.header.menu.pattern': 'Pattern',
    'app.header.menu.components': 'Components',
    'app.header.menu.spec': 'Specification',
    'app.header.menu.resource': 'Resource',
    'app.header.lang': '中文',
    'app.content.edit-page': 'Edit this page on GitHub!',
    'app.content.edit-demo': 'Edit this demo on GitHub!',
    'app.component.examples': 'Examples',
    'app.demo.copy': 'Copy code',
    'app.demo.copied': 'Copied!',
    'app.home.slogan': 'A UI Design Language',
    'app.home.introduce': 'Introduce',
    'app.home.start': 'Get Started',
    'app.home.best-practice': 'Best Practice',
    'app.home.experience': 'Designed by experienced team, and showcase dozens of inspiring projects.',
    'app.home.design-pattern': 'Design Pattern',
    'app.home.pattern': 'Provide solutions for usual problems that may be encountered while developing enterprise-like complex UIs.',
    'app.home.reusable-components': 'Dozens of Reusable Components',
    'app.home.components-intro': 'Dozens of flexible and practical reusable components that increase your productivity.',
    'app.home.learn-more': 'Learn more',
    'app.home.sub-slogan': 'A Little Happiness in Hand',
    'app.home.vision': 'This is a design language dedicated to improve the user and design experience.',
    'app.footer.repo': 'Repository',
    'app.footer.awesome': 'Awesome Fish',
    'app.footer.customize-theme': 'Customize Theme',
    'app.footer.scaffold': 'Scaffold',
    'app.footer.dev-tools': 'Developer Tools',
    'app.footer.dva': 'Framework',
    'app.footer.links': 'Links',
    'app.footer.mobile': 'Mobile UI',
    'app.footer.data-vis': 'Data Visualization',
    'app.footer.eggjs': 'Enterprise Node Framework',
    'app.footer.motion': 'Motion Soluction',
    'app.footer.antux': 'Sitemap Template',
    'app.footer.community': 'Community',
    'app.footer.change-log': 'Change Log',
    'app.footer.faq': 'FAQ',
    'app.footer.feedback': 'Feedback',
    'app.footer.stackoverflow': 'StackOverflow',
    'app.footer.segmentfault': 'SegmentFault',
    'app.footer.discuss': 'Chat Room',
    'app.footer.bug-report': 'Bug Report',
    'app.footer.version': 'Version: ',
    'app.footer.author': 'Created by Ant UED',
    'app.publish.title': 'fish@2.0.0 is released!',
    'app.publish.greeting': 'Hello, ',
    'app.publish.intro': ' is released, and please upgrade. ',
    'app.publish.old-version-guide': 'If you want to read old version documentation, please visit ',
    'app.publish.old-version-tips': ', or change the version of documentation with the bottom-right selector.',
  },
};
