import React from 'react'
import { Tooltip, Icon } from 'fish'

export default function EditButton({ title, filename, homepage }) {
  return (
    <Tooltip title={title}>
      <a className="edit-button" href={`${homepage}/${filename}`}>
        <Icon type="edit" />
      </a>
    </Tooltip>
  )
}
