const appLocaleData = require('react-intl/locale-data/zh');

module.exports = {
  locale: 'zh-CN',
  data: appLocaleData,
  messages: {
    'app.header.search': '全文本搜索...',
    'app.header.menu.home': '首页',
    'app.header.menu.practice': '实践',
    'app.header.menu.pattern': '模式',
    'app.header.menu.components': '组件',
    'app.header.menu.spec': '规范',
    'app.header.menu.resource': '资源',
    'app.header.lang': 'EN',
    'app.content.edit-page': '在 Github 上编辑此页！',
    'app.content.edit-demo': '在 Github 上编辑此示例！',
    'app.component.examples': '代码演示',
    'app.demo.copy': '复制代码',
    'app.demo.copied': '复制成功',
    'app.home.slogan': '一个 UI 设计语言',
    'app.home.introduce': '设计规范',
    'app.home.start': '开发指引',
    'app.home.best-practice': '最佳实践',
    'app.home.experience': '近一年的中后台设计实践，积累了大量的优秀案例。',
    'app.home.design-pattern': '设计模式',
    'app.home.pattern': '总结中后台设计中反复出现的问题，并提供相应的解决方案。',
    'app.home.reusable-components': '丰富的基础组件',
    'app.home.components-intro': '丰富、灵活、实用的基础组件，为业务产品提供强有力的设计支持。',
    'app.home.learn-more': '了解更多',
    'app.home.sub-slogan': '微小·确定·幸福',
    'app.home.vision': '这是一套致力于提升『用户』和『设计者』使用体验的中后台设计语言。',
    'app.footer.repo': '仓库',
    'app.footer.awesome': 'Awesome Fish',
    'app.footer.customize-theme': '定制主题',
    'app.footer.scaffold': '脚手架',
    'app.footer.dev-tools': '开发工具',
    'app.footer.dva': '应用框架',
    'app.footer.links': '相关站点',
    'app.footer.mobile': '移动版',
    'app.footer.data-vis': '数据可视化',
    'app.footer.eggjs': '企业级 Node 开发框架',
    'app.footer.motion': '设计动效',
    'app.footer.fish-library': 'Axure 部件库',
    'app.footer.antux': '页面逻辑素材',
    'app.footer.community': '社区',
    'app.footer.change-log': '更新日志',
    'app.footer.faq': '常见问题',
    'app.footer.feedback': '反馈和建议',
    'app.footer.stackoverflow': 'StackOverflow',
    'app.footer.segmentfault': 'SegmentFault',
    'app.footer.discuss': '在线讨论',
    'app.footer.bug-report': '报告 Bug',
    'app.footer.version': '文档版本：',
    'app.footer.author': '蚂蚁金服体验技术部出品',
    'app.publish.title': 'fish@2.0.0 发布！',
    'app.publish.greeting': '你好，',
    'app.publish.intro': ' 已正式发布，欢迎升级。',
    'app.publish.old-version-guide': '如果您还需要使用旧版，请查阅 ',
    'app.publish.old-version-tips': '，也可通过页面右下角的文档版本选择框进行切换。',
  },
};
